VST 3 SDK VST 3.7 SDK for developing VST plug-in

Functions
Steinberg::Vst::StringConvert Namespace Reference

## Functions
std::u16string | convert (const std::string &utf8Str)
| Forward to Steinberg::StringConvert::convert (...) More...
bool | convert (const std::string &utf8Str, Steinberg::Vst::String128 str)
| convert an UTF-8 string to an UTF-16 string buffer with max 127 characters More...
bool | convert (const std::string &utf8Str, Steinberg::Vst::TChar *str, uint32_t maxCharacters)
| convert an UTF-8 string to an UTF-16 string buffer More...
std::string | convert (const Steinberg::Vst::TChar *str)
| convert an UTF-16 string buffer to an UTF-8 string More...
std::string | convert (const char *str, uint32_t max)
| Forward to Steinberg::StringConvert::convert (...) More...
std::string | convert (const std::u16string &str)
| Forward to Steinberg::StringConvert::convert (...) More...

## Function Documentation

## ◆ convert() [1/6]

std::u16string convert | ( | const std::string & | utf8Str | ) |

Forward to Steinberg::StringConvert::convert (...)

## ◆ convert() [2/6]

bool convert | ( | const std::string & | utf8Str,
|  | Steinberg::Vst::String128 | str
| ) |  |

convert an UTF-8 string to an UTF-16 string buffer with max 127 characters

Parameters

  utf8Str | UTF-8 string
  str | UTF-16 string buffer

Returns
  true on success

## ◆ convert() [3/6]

bool convert | ( | const std::string & | utf8Str,
|  | Steinberg::Vst::TChar * | str,
|  | uint32_t | maxCharacters
| ) |  |

convert an UTF-8 string to an UTF-16 string buffer

Parameters

  utf8Str | UTF-8 string
  str | UTF-16 string buffer
  maxCharacters | max characters that fit into str

Returns
  true on success

## ◆ convert() [4/6]

std::string convert | ( | const Steinberg::Vst::TChar * | str | ) |

convert an UTF-16 string buffer to an UTF-8 string

Parameters

  str | UTF-16 string buffer

Returns
  UTF-8 string

## ◆ convert() [5/6]

std::string convert | ( | const Steinberg::Vst::TChar * | str,
|  | uint32_t | max
| ) |  |

Forward to Steinberg::StringConvert::convert (...)

convert an UTF-16 string buffer to an UTF-8 string

Parameters

  str | UTF-16 string buffer
  max | maximum characters in str

Returns
  UTF-8 string

## ◆ convert() [6/6]

std::string convert | ( | const std::u16string & | str | ) |

Forward to Steinberg::StringConvert::convert (...)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.